<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Students;

class StudentsController extends Controller {

    /**
     * Get all students
     */
    public function get_all() {
        return response()->json( Students::get() );
    }

    /**
     * Get student by id
     */
    public function get_by_id( $id ) {
        return response()->json( Students::find($id) );
    }

    /**
     * Get all students count
     */
    public function get_count() {
        return response()->json( Students::count() );
    }

    /**
     * Get student by gender
     */
    public function search( Request $request ) {

        $search = $request->search;

        $Students =  Students::where('name','LIKE',"%{$search}%")
        ->orWhere('rollno', 'LIKE',"%{$search}%")
        ->orWhere('branch', 'LIKE',"%{$search}%")
        ->orWhere('phno', 'LIKE',"%{$search}%")
        ->orWhere('username', 'LIKE',"%{$search}%")
        ->get();

        return response()->json( $Students );
    }

    public function get_attendance() {
        $attendance = 84;
        return response()->json( $attendance );
    }

    public function get_works() {
        $works = 20;
        return response()->json( $works );
    }

    public function get_last_performamce() { 
        $performance = [
            0 => [
                'subject' => 'English',
                'marks' => 80
            ],
            1 => [
                'subject' => 'ICT',
                'marks' => 90
            ],
        ];
        return response()->json( $performance );
    }

}
